Bug 587369 - Clamped framerate with Intel GM45 on Lenovo T500
Clamped framerate with Intel GM45 on Lenovo T500
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-29 14:01 EDT by Miroslav Vadkerti
Modified: 2011-06-27 11:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:57:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (94.77 KB, application/octet-stream)
2010-04-29 14:05 EDT, Miroslav Vadkerti
no flags Details
messages (109.00 KB, application/octet-stream)
2010-04-29 14:06 EDT, Miroslav Vadkerti
no flags Details

  None (edit)
Description Miroslav Vadkerti 2010-04-29 14:01:34 EDT
Description of problem:
I'm experiencing very poor 3D performance with Intel GM45 integrated graphics on my lenovo T500.

$ glxgears 
299 frames in 5.0 seconds = 59.626 FPS
299 frames in 5.0 seconds = 59.797 FPS
299 frames in 5.0 seconds = 59.795 FPS

In F12 this is running 500+ FPS

Version-Release number of selected component (if applicable):
kernel-2.6.33.3-73.fc13.x86_64
xorg-x11-drv-intel-2.11.0-2.fc13.x86_64

How reproducible:
always

Steps to Reproduce:
1. glxgears
2. observe FPS
  
Actual results:
very poor performance

Expected results:
performance is at least as in F12

Additional info:
Comment 1 Miroslav Vadkerti 2010-04-29 14:05:39 EDT
Created attachment 410183 [details]
Xorg log
Comment 2 Miroslav Vadkerti 2010-04-29 14:06:15 EDT
Created attachment 410184 [details]
messages
Comment 3 Miroslav Vadkerti 2010-04-29 14:11:07 EDT
Looks like this is a duplicate of bug 582861
Comment 4 Miroslav Vadkerti 2010-04-29 14:12:45 EDT

*** This bug has been marked as a duplicate of bug 582861 ***
Comment 5 Miroslav Vadkerti 2010-04-30 02:02:10 EDT
Reopened to track the clamped framerate issue. The framrate is clamped to the values in description when measuring using glxgears. The performance looks good even the CPU is under load.
Comment 6 Miroslav Vadkerti 2010-04-30 02:07:02 EDT
Also I experienced a freeze (without hard lock .. enabled ctrl+alt+backspace worked) and I think my symptoms are related to this report:

http://lists.freedesktop.org/archives/intel-gfx/2010-April/006652.html
Comment 7 Howard Ning 2010-04-30 16:05:21 EDT
I have installed fedora 13 on my thinkpad x200 laptop with intel GMA4500MHD graphics. Apps that uses OpenGL graphics became very choppy comparing to Fedora 12 with mesa 7.7.1 (7.7-5). The FPS is not low but the the animation will halt a short time every several frames. So the graphics experience is very bad. Any one have the same problem?

Some info:
OpenGL vendor string: Tungsten Graphics, Inc
OpenGL renderer string: Mesa DRI Mobile Intel® GM45 Express Chipset GEM 20100328 2010Q1
OpenGL version string: 2.1 Mesa 7.8.1
OpenGL shading language version string: 1.20

Tested apps: xmoto, nexuiz, warsow, openarena. 

Glxgears works fine:
$ glxgears
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.
4635 frames in 5.0 seconds = 926.950 FPS
5129 frames in 5.0 seconds = 1025.667 FPS
5207 frames in 5.0 seconds = 1041.257 FPS

Update 1:
I have installed the latest mesa 7.8.1-2, xserver 1.8.0-8 and non-debug kernel 2.6.33-68.
The performance issue still persist on my thinkpad x200 with GMA4500MHD. Actually there isn't any performance gain from the beta. The 3D or 2D opengl graphics stiill seems laggly even though the FPS is relatively high. Even simple 2D game like XMOTO is laggy. 

Update 2:
Even with mesa 7.8.1-5, it is not fixed.
Comment 8 Filipe Rosset 2010-08-02 16:49:22 EDT
Tests on my Asus UL20A

Hardware:
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

Packages:
xorg-x11-drv-intel-2.11.0-5.fc13.x86_64
kernel-2.6.33.6-147.2.4.fc13.x86_64
mesa-dri-drivers-7.8.1-6.fc13.x86_64
xorg-x11-server-Xorg-1.8.2-2.fc13.x86_64


[filiper@rosset tmp]$ glxgears 
Running synchronized to the vertical refresh.  The framerate should be
approximately the same as the monitor refresh rate.
307 frames in 5.0 seconds = 61.324 FPS
308 frames in 5.0 seconds = 61.462 FPS
302 frames in 5.0 seconds = 60.268 FPS
308 frames in 5.0 seconds = 61.457 FPS
Comment 9 Bug Zapper 2011-06-02 10:43:06 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2011-06-27 11:57:58 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.